#!/usr/bin/env bash

## VT100 ANSI Escape Sequences
CSI='\033['             # エスケープシーケンス開始
CUB="${CSI}1D"          # 1文字カーソルを戻す
CGREEN="${CSI}0;32m"    # 文字を緑
CYELLOW="${CSI}0;33m"   # 文字を黄
CBGGREEN="${CSI}0;42m"  # 背景を緑
CBGRED="${CSI}0;41m"    # 背景を赤
C0="${CSI}0m"           # 表示文字属性色をリセット
CENC="${CSI}?25h"       # カーソル表示
CNOC="${CSI}?25l"       # カーソル非表示
CKILL="${CSI}K"         # 行を消去

echo -en "$CBGBLUE" ; echo -n "abc" ; echo -en "${CUB}${C0}" ; echo "DEF"
echo "abcを背景緑で表示、1文字バックさせDEFを印字"
echo "「abDEF」と表示されたか。abの部分のみ背景緑になっているか。"
